# AITileList Class Reference
[Classes that create a list of items.]

Creates an empty list, in which you can add tiles. More...

`#include <ai_tilelist.hpp>`

Inheritance diagram for AITileList:

## Public Member Functions
void | AddRectangle (TileIndex tile_from, TileIndex tile_to)
| Adds the rectangle between tile_from and tile_to to the to-be-evaluated tiles.
void | AddTile (TileIndex tile)
| Add a tile to the to-be-evaluated tiles.
void | RemoveRectangle (TileIndex tile_from, TileIndex tile_to)
| Remove the tiles inside the rectangle between tile_from and tile_to form the list.
void | RemoveTile (TileIndex tile)
| Remove a tile from the list.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates an empty list, in which you can add tiles.

Definition at line 22 of file ai_tilelist.hpp.

## Member Function Documentation

void AITileList::AddRectangle | ( | TileIndex | tile_from,
|  | TileIndex | tile_to |
| ) |  |  |

Adds the rectangle between tile_from and tile_to to the to-be-evaluated tiles.

Parameters:

  | tile_from | One corner of the tiles to add.
  | tile_to | The other corner of the tiles to add.

Precondition:
  AIMap::IsValidTile(tile_from).
  AIMap::IsValidTile(tile_to).

Definition at line 18 of file ai_tilelist.cpp.

References AIList::AddItem(), IsValidTile(), and TILE_AREA_LOOP.

void AITileList::AddTile | ( | TileIndex | tile | ) |

Add a tile to the to-be-evaluated tiles.

Parameters:

  | tile | The tile to add.

Precondition:
  AIMap::IsValidTile(tile).

Definition at line 27 of file ai_tilelist.cpp.

References AIList::AddItem(), and IsValidTile().

Referenced by AITileList_IndustryAccepting::AITileList_IndustryAccepting(), AITileList_IndustryProducing::AITileList_IndustryProducing(), and AITileList_StationType::AITileList_StationType().

static const char* AITileList::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Reimplemented in AITileList_IndustryAccepting, AITileList_IndustryProducing, and AITileList_StationType.

Definition at line 25 of file ai_tilelist.hpp.

void AITileList::RemoveRectangle | ( | TileIndex | tile_from,
|  | TileIndex | tile_to |
| ) |  |  |

Remove the tiles inside the rectangle between tile_from and tile_to form the list.

Parameters:

  | tile_from | One corner of the tiles to remove.
  | tile_to | The other corner of the files to remove.

Precondition:
  AIMap::IsValidTile(tile_from).
  AIMap::IsValidTile(tile_to).

Definition at line 34 of file ai_tilelist.cpp.

References IsValidTile(), AIList::RemoveItem(), and TILE_AREA_LOOP.

void AITileList::RemoveTile | ( | TileIndex | tile | ) |

Remove a tile from the list.

Parameters:

  | tile | The tile to remove.

Precondition:
  AIMap::IsValidTile(tile).

Definition at line 43 of file ai_tilelist.cpp.

References IsValidTile(), and AIList::RemoveItem().

The documentation for this class was generated from the following files:

- src/ai/api/ai_tilelist.hpp
- src/ai/api/ai_tilelist.cpp